Subject: Re: Unix/DOS text mode?
From: [email-masked]
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Nov 2001 14:18:22 -0500

Thanks, this worked, but I never needed a .vimrc before and
my .viminfo history/recall is only loaded if I explicitly type :rv.
I (and my boss) were fed up with me squirrelling
with it, so I shelled out $79 for a cygwin 1.0 CD at
ccpcomputersupplies.com.  They're the only place
I could find with a stable release for sale.  Either
I'm paying for being a sorry excuse of a 'puter geek,
or I'm getting a good deal to avoid being a guinea pig.

Albert

                                                                                                              
                    "Larry Hall                                                                               
                    (RFK                 To:     [email-masked], [email-masked]                      
                    Partners,            cc:                                                                  
                    Inc)"                Subject:     Re: Unix/DOS text mode?                                 
                    <[email-masked]                                                                             
                    m>                                                                                        
                                                                                                              
                    11/19/01                                                                                  
                    04:34 PM                                                                                  

At 04:00 PM 11/19/2001, [email-masked] wrote:
>After an upgrade, I seem to have lost all sanity in vi(m).
>I used to see .txt files the same with notepad or vi, but
>now in vi every line ends with a blue ^M.  I've played
>with mount -[t|b] and tried [un and re]installing vim but I'm
>stumped.  The thing is, it seems to have also disabled all
>the nice search string history/recall (I guess because .viminfo
>also shows those damned ^M's).  What have I done
>or what has cygwin done?  I guess other stuff got upgraded,
>too, but I don't know what.

Try setting "fileformat=dos" in your .vimrc file if you always want
your files to be treated as a DOS text file.  See the help in vim for
more info.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/